Target version:

Resolution:

Description

It is possible to add an option to calculate automatically the done ratio from the relationship between the estimated hours and the real
hours? (If we turn the percentage would be greater than 100)

Thanks and congratulations for your work

Related issues:

Related to Redmine - Feature #12347: "Calculate the issue done ratio" per pro... New
Related to Redmine - Feature #11999: Calculating issue done ratio based on "E... New
History

#1 - 2011-02-04 16:53 - Adam Piotr Zochowski

Typically estimation does not match reality. Someone can estimate a task to take 5hours and is done within 15minutes. Other times after 10hours it
still isn't half way complete.

If this were a feature, | would expect to have it turned off on my Redmine instances.

Kind regards

Adam Zochowski

#2 - 2012-10-10 11:15 - LEXO IT Services Switzerland

We have the same request in #11999. See our description for the reason why this makes sense anyway. | totally understand Adams' argument.
Although in some projects it totally makes sense to have the total issue done ration being calculated based on the spent time value. If Spent Time is
greater than Estimated Time and the option to calculate the done ratio based upon these 2 values is turned on, the done ratio for a task should
simply be set to 100%.

Perhaps, when using the option to calculate the done ratio based upon Estimated Time/Spent Time is enabled, the field Estimated Time should be
renamed to Time Required or Lead Time. Then it again makes sense.

This is useful for projects where the customer pays for a certain amount of hours (in advance) and has the ability to check the status on the issue he
payed for. Thus if Spent Time exceeeds Estimated Time the bar in the issue overview should become red or something to visualize that an issue is
over the "limit".

#3 - 2012-12-03 14:46 - Samuel GABILLARD

+1

#4 - 2012-12-19 00:51 - Gorka Siverio

+1
We can add another field with the estimated remaining time and use it to calculate a more realistic done ratio. Something like this:

1) Starting:
Estimated Time: 8 h
Spent Time: 0 h
Remaining Time: 8 h
% done: 0 %

2) Halfway:
Estimated Time: 8 h
Spent Time: 4 h
Remaining Time: 4 h

2025-07-04 1/2



https://www.redmine.org/issues/11999

% done: 50 %

3) Some delay:

Estimated Time: 8 h
Spent Time: 8 h
Remaining Time: 4 h

% done: 50 %

And since Spent Time + Remaining Time > Estimated Time, we have a delay, and then we should get the red bar to signal it. :D

#5 - 2013-01-16 12:58 - Terence Mill

+1 for a new optional fieled with configurable algorithms from selection below

#6 - 2013-12-19 15:25 - Thanasis Karapatis

+1

#7 - 2014-03-06 11:03 - Luis Serrano Aranda

+1

#8 - 2018-03-31 08:39 - Go MAEDA

- Subject changed from Calculate the issue done ratio to Calculate the issue done ratio from estimated and spent time

#9 - 2018-03-31 08:39 - Go MAEDA

- Category set to Issues
